import { createApp } from 'vue'
import { createPinia } from 'pinia'
import router from './router'
import App from './App.vue'
import './styles/index.css'
import MosquitoEnhancedPlugin from '../../index'

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(MosquitoEnhancedPlugin, {
  baseUrl: import.meta.env.VITE_MOSQUITO_API_BASE_URL ?? '',
  apiKey: import.meta.env.VITE_MOSQUITO_API_KEY ?? '',
  userToken: import.meta.env.VITE_MOSQUITO_USER_TOKEN ?? ''
})

app.mount('#app')
